当前位置: 首页 >> 转载技术·攻城师 >> php5.3不支持ZendOptimizer的解决办法(Zend Guard Loader) >> 正文

php5.3不支持ZendOptimizer的解决办法(Zend Guard Loader)

6年前 (2013-05-28)     作者:傲孤漠客     分类:转载技术·攻城师     阅读次数:1086     评论(1)    

PHP 5.3 下,Zend Optimizer 已经被全新的 Zend Guard Loader 取代

————————————————

1. 下载 Zend Guard Loader 压缩包。(官方下载地址:http://www.zend.com/en/products/guard/downloads)

2. 解压并提取 ZendGuardLoader.so(Linux)或 ZendLoader.dll(Windows),对应你的PHP版本。


PHP 5.3 下,Zend Optimizer 已经被全新的 Zend Guard Loader 取代

————————————————

1. 下载 Zend Guard Loader 压缩包。(官方下载地址:http://www.zend.com/en/products/guard/downloads)

2. 解压并提取 ZendGuardLoader.so(Linux)或 ZendLoader.dll(Windows),对应你的PHP版本。

3. 在你的 php.ini 文件添加下面一行,用来加载 Zend Guard Loader:

Linux 和 Mac OS X: zend_extension = 完整路径/ZendGuardLoader.so

Windows(非线程安全):  zend_extension = 完整路径/ZendLoader.dll

4. 在 php.ini 额外新增一行,启用 Zend Guard Loader:

zend_loader.enable = 1

5. 可选:可以在 php.ini 文件添加以下行到 Zend Guard Loader 配置位置:

;禁用许可证检查(为了性能的原因)

 zend_loader.disable_licensing = 0

;让 Zend Guard Loader 支持混淆级别。级别在 Zend Guard 的官方详细文档。 0 – 不启用混淆

 zend_loader.obfuscation_level_support = 3

;从这个路径寻找Zend产品授权的产品许可证。欲了解更多有关如何创建一个许可证文件的信息,请参阅 Zend Guard 用户指南.

 zend_loader.license_path =

6. 如果您使用 Zend debugger,请确保加载 Zend guard Loader。

7. 如果您使用 ioncube loader,请务必在它之前加载 Zend guard Loader。

8. 重新启动Web服务器。


除非注明,发表在“傲孤漠客”的文章『php5.3不支持ZendOptimizer的解决办法(Zend Guard Loader)』版权归傲孤漠客所有。 转载请注明出处为“本文转载于『傲孤漠客』原地址https://www.imoke.org/post/420.html

评论

发表评论   

昵称*

E-mail*(建议输入,以便收到博主回复的提示邮件)

网站

  • zxc
    • zxc剑士  POST:2013-07-02 09:31:33 与TA同吐槽
    • 前一阵我电脑没带回家也一直没注意。但是总体上漠客这些想法跟我一样,虽然对方一般都会不理解为什么你能容忍普通朋友而不能容忍自己。或者说是理解,但是不想理解。毕竟谁都希望别人能多包容自己,惯着自己。所以就产生了这种惰性,明明知道,但是装作不知道并且自动忽略它,这个是人人都会有的并且可能不会自己注意到的。可能女生就爱撒娇吧?这个我不太了解。
      生气的时候,可能不会想那些理性的东西。还是跟上边一样,自己就忽略了不想去思考的东西。或许多几天气头消了,再跟他说这事会好一些吧。或者让第三方去说。

分享:

支付宝

微信